Bug 172760 - package gaim-otr depends on libotr.so.1 which is not provided by newest libotr
package gaim-otr depends on libotr.so.1 which is not provided by newest libotr
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gaim-otr (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-09 04:42 EST by Jan Visser
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: libotr-3.0.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 12:19:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Visser 2005-11-09 04:42:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Something is wrong with the packages in FC4 extras.

When trying to install gaim-otr it fails because it need libotr.so.1 but newest libotr package does not provide it.


Version-Release number of selected component (if applicable):
gaim-otr-0:2.0.2-2.fc4 

How reproducible:
Always

Steps to Reproduce:
yum install gaim-otr

Actual Results:  
See output : 
[root@pc843 ~]# yum install gaim-otr
Setting up Install Process
Setting up repositories
livna                     100% |=========================|  951 B    00:00
updates-released          100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
solid                     100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package gaim-otr.i386 0:2.0.2-2.fc4 set to be updated
--> Running transaction check
--> Processing Dependency: libotr.so.1 for package: gaim-otr
--> Finished Dependency Resolution
Error: Missing Dependency: libotr.so.1 is needed by package gaim-otr

[root@pc843 ~]# rpm -ql libotr
/usr/bin/otr_mackey
/usr/bin/otr_modify
/usr/bin/otr_parse
/usr/bin/otr_readforge
/usr/bin/otr_remac
/usr/bin/otr_sesskeys
/usr/lib/libotr.so.2
/usr/lib/libotr.so.2.0.0
/usr/share/doc/libotr-3.0.0
/usr/share/doc/libotr-3.0.0/AUTHORS
/usr/share/doc/libotr-3.0.0/COPYING
/usr/share/doc/libotr-3.0.0/COPYING.LIB
/usr/share/doc/libotr-3.0.0/NEWS
/usr/share/doc/libotr-3.0.0/Protocol-v2.html
/usr/share/doc/libotr-3.0.0/README
/usr/share/man/man1/otr_mackey.1.gz
/usr/share/man/man1/otr_modify.1.gz
/usr/share/man/man1/otr_parse.1.gz
/usr/share/man/man1/otr_readforge.1.gz
/usr/share/man/man1/otr_remac.1.gz
/usr/share/man/man1/otr_sesskeys.1.gz
/usr/share/man/man1/otr_toolkit.1.gz


Expected Results:  It should install correctly

Additional info:
Comment 1 Paul Wouters 2005-11-09 23:37:00 EST
This is the result of the buildsystem  being stuck on gaim-otr-3.0.0-2-fc4
packages, and older libotr packages no longer being available. gaim-otr-2 needs
libotr-2 and gaim-otr-3 needs libotr-3. Currently, we are waiting for:

675: gaim-otr (gaim-otr-3_0_0-2_fc4)  paul@xelerance.com   needsign/success
        hammer2.fedora.redhat.com(x86_64):
d817b58f310dab9e5ff2e0a1f6ac0df19b7c20e2 done/done
        hammer1.fedora.redhat.com(i386):
17ad61707059033d74a10e577da41fe8260fedf0 done/done
        ppc1.fedora.redhat.com(ppc): 4d148d5493098c51d7e190873b7eedcff2a7e5be
done/done

They built correctly but have been stalled in the queue for a number of days now
on getting signed, released and pushed to the mirrors.

Note You need to log in before you can comment on or make changes to this bug.